> ## Documentation Index
> Fetch the complete documentation index at: https://docs.datacircle.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Search LinkedIn companies



## OpenAPI

````yaml /openapi.json get /linkedin/company-search/
openapi: 3.1.0
info:
  title: Datacircle API
  version: '1'
servers:
  - url: https://api.datacircle.dev
security:
  - token: []
paths:
  /linkedin/company-search/:
    get:
      summary: Search LinkedIn companies
      parameters:
        - name: search
          in: query
          required: true
          schema:
            type: string
        - name: location
          in: query
          required: false
          schema:
            type: string
        - name: companySize
          in: query
          required: false
          schema:
            type: string
        - name: industryId
          in: query
          required: false
          schema:
            type: string
        - name: page
          in: query
          required: false
          schema:
            type: integer
      responses:
        '200':
          description: >-
            `elements` (50 companies per page) and `pagination`, plus `cost_usd`
            and `balance_usd`
        '400':
          description: No `search`
        '401':
          description: Missing or invalid API key
        '402':
          description: Balance too low
components:
  securitySchemes:
    token:
      type: apiKey
      in: header
      name: Authorization
      description: '`Token <your API key>`'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.